/*      file     : TrafficData/TrafficDataTemplates.C
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: TrafficDataTemplates.C,v 1.5 2005/03/25 12:28:52 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
 */

/* ***INCLUDES************************************************************************ */

#define TEMPLATEBODIES

#include <TArray.h>
#include <TDLList.h>
#include <TEnumerator.h>
#include <THeap.h>

#include <TAlgoInfo.h>
#include <TRouteplan.h>
#include <TVehicle.h>
#include <TAccessory.h>
#include <TSource.h>
#include <TSink.h>
#include <TMultilaneGrid.h>
#include <TMultilaneDump.h>
#include <TGridStat.h>
#include <TGridStatLookup.h>
#include <TTurnCountStat.h>
#include <TSimpleIntersection.h>
#include <TIntersectionControl.h>

#ifdef __GNUC__

template class TArray< long >;
template class TArray< TRouteStep >;
template class TDLList< TAccessory >;
template class TDLList< TVehicle >;
template class TDLList< TRouteplan >;
template class TDLList< TMultilaneDump >;
template class TDLList< TGridStat >;
template class TDLList< TTurnCountStat >;
template class TDLListEnum< TAccessory >;
template class TDLListEnum< TVehicle >;
template class TDLListEnum< TRouteplan >;
template class TDLListEnum< TMultilaneDump >;
template class TDLListEnum< TGridStat >;
template class TDLListEnum< TTurnCountStat >;
template class TEnumerator< TAlgoInfo >;
template class TEnumerator< TGridStatLookup >;
template class TEnumerator< TSource >;
template class TEnumerator< TSink >;
template class TEnumerator< TAccessory >;
template class TEnumerator< TMultilaneGrid >;
template class TEnumerator< TSimpleIntersection >;
template class TEnumerator< TIntersectionControl >;
template class THeap< TAlgoInfo >;
#else

#ifdef SGI64

#endif
#endif

// ===================================================================================


