/*      file     : common/File.h
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: File.h,v 1.5 2005/03/25 11:04:58 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef FILE_H
#define FILE_H

// ***INCLUDES************************************************************************ 

#include <stdio.h>

#include "Basic.h"

// ***PROTOTYPES********************************************************************** 

bool
fexist(const char *Filename);
long
fmodified(const char *Filename);
long
fsize(const char *Filename);
long
fsize(int fd);
long
fsize(FILE *file);

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
