/*      file     : common/TParser.i.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TParser.i.C,v 1.4 2005/03/25 11:05:00 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <string.h>

// ***METHODS************************************************************************* 

inline long
TParser::GetLineNr(void) const

{
    return LineNr;
}

// =================================================================================== 

inline void
TParser::SkipWhiteChars(void)

{
    while (InputLine[LinePos] AND 
           (strchr(CurrentDelimiters, InputLine[LinePos]) !=0 OR
            InputLine[LinePos] == TAB_CHAR OR
            InputLine[LinePos] == NEWLINE_CHAR))
        LinePos++;
}

// =================================================================================== 
