/*      file     : parallel/TGraphTopology.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TGraphTopology.h,v 1.3 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TGraphTOPOLOGY_H
#define TGraphTOPOLOGY_H

// ***INCLUDES************************************************************************ 

#include <TObjectArray.h>

#include "TTopology.h"

// ***CLASSES************************************************************************* 

/** Topology class for representing arbitrary graphs.
  */

class TGraphTopology : public TTopology

{
public:

    TGraphTopology(const TDLList<TCPNInfo> *theList = 0);
    virtual ~TGraphTopology(void);


private:

    virtual TString
        GetClassName(void) const;
    virtual TTopologyType
        GetType(void) const;
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
