/*      file     : parallel/TParallel.i.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TParallel.i.C,v 1.12 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline TCPNInfo *
TParallel::GetCPNInfoByID(TCPNID ID) const

{
    return Control->GetCPNInfoByID(ID);
}

// =================================================================================== 

inline long
TParallel::GetUniqueID(long OtherID)

{
    return Control->GetUniqueID(OtherID);
}

// =================================================================================== 

inline const TCPNInfo *
TParallel::GetLocalCPNInfo(void) const

{
    return Control->GetLocalCPNInfo();
}

// =================================================================================== 

inline TCPNID
TParallel::GetLocalCPNID(void) const

{
    return Control->GetLocalCPNID();
}

// ===================================================================================

inline int
TParallel::GetCurrentNrOfCPN(void) const

{
    return Control->GetCurrentNrOfCPN();
}

// ===================================================================================

inline TTopology *
TParallel::GetPhysicalTopology(void)

{
    return Control->GetPhysicalTopology();
}

// =================================================================================== 

inline TCPNID
TParallel::GetParentCPNID(void) const

{
    return Control->GetParentCPNID();
}

// =================================================================================== 

inline bool
TParallel::HasQuit(void) const

{
    return Control->HasQuit();
}

// =================================================================================== 

inline bool
TParallel::IsMaster(void) const

{
    return Control->IsMaster();
}

// =================================================================================== 

inline bool
TParallel::Quit(void) const

{
    return Control->Quit();
}

// =================================================================================== 

inline bool
TParallel::RegisterTopologyUser(TTopologyUser *theUser)

{
    return Control->RegisterTopologyUser(theUser);
}

// =================================================================================== 

inline bool
TParallel::Synchronize(TDestination Destination, bool ExitLoop)

{
    return Control->Synchronize(Destination, ExitLoop);
}

// =================================================================================== 
