/*      file     : partools/TObjectManager.i.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TObjectManager.i.C,v 1.6 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline TCPNInfoList *
TObjectManager::GetNeighbors(void)

{
    return &Neighbors;
}

// =================================================================================== 

inline TClassInfo *
TObjectManager::GetClassInfo(TClassID ClassID) const

{
#ifdef DRANGECHECK
    if (ClassID < 0 OR ClassID >= ClassInfos.GetNrOfElements())
    {
        Error("GetClassInfo: invalid class ID %d", ClassID);
        return 0;
    }
#endif
    return ClassInfoArray[ClassID];
}

// =================================================================================== 

inline void
TObjectManager::SetGlobalMigrationMonitor(TCPNID CPNID)

{
    GlobalMigrationMonitor = CPNID;
}

// =================================================================================== 
