/*      file     : common/Parse.h
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: Parse.h,v 1.3 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef PARSE_H
#define PARSE_H

/* ***INCLUDES************************************************************************ */

#include <Basic.h>

/* ***DEFINES************************************************************************* */

#define MAX_LINE 512
#define STREET_NAME_SEPERATOR '/'

/* ***TYPES*************************************************************************** */

typedef char *TTokenArray[];

/* ***PROTOTYPES********************************************************************** */

#ifdef __cplusplus
extern "C" {
#endif
    bool
        GetToken(char **Current, char **Token);
    int      
        GetTokenNr(char *Token, TTokenArray TokenArray, int MaxTokens);
#ifdef __cplusplus
}
#endif
#endif
