/*      file     : common/TEnumerator.t.C
        project  : General Toolbox
        authors  : Marcus Rickert
        RCS      : $Id: TEnumerator.t.C,v 1.4 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TEnumeratorPrimitive
// =================================================================================== 

template < class TData >
TEnumerator< TData >::TEnumerator(const TContainer *theContainer) :

ParentClass(theContainer)

{    
}

// =================================================================================== 

template < class TData >
TEnumerator< TData >::~TEnumerator(void)

{    
}

// =================================================================================== 

template < class TData  >
TEnumerator< TData  >::operator TData * (void)

{
    return (TData *) ParentClass::GetCurrent();
}

// =================================================================================== 

template < class TData  >
TData *
TEnumerator< TData  >::operator -> (void)

{
    return (TData *) ParentClass::GetCurrent();
}

// =================================================================================== 
#undef ParentClass
