/*      file     : common/TIDContainerEntry.t.C
        project  : General Toolbox
        authors  : Marcus Rickert
        RCS      : $Id: TIDContainerEntry.t.C,v 1.6 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TIDContainerEntryPrimitive
// =================================================================================== 

template < class T >
TIDContainerEntry< T >::TIDContainerEntry(long theID, const T *theDataPtr) :

ParentClass(theID, (const TBaseObject *) theDataPtr)

{
}

// =================================================================================== 

template < class T >
TIDContainerEntry< T >::operator T * (void)

{
    return (T *) ParentClass::GetInstancePtr();
}

// =================================================================================== 
#undef ParentClass
