/*      file     : parallel/TRingTopology.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TRingTopology.C,v 1.6 2005/03/25 11:06:21 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include "TParallel.h"
#include "TCPNInfo.h"

#include "TRingTopology.h"

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TTopology
// =================================================================================== 

TRingTopology::TRingTopology(const TDLList<TCPNInfo> *theList) :

TTopology(theList)

{
}

// ===================================================================================

TRingTopology::~TRingTopology(void)

{
}

// ===================================================================================

TString
TRingTopology::GetClassName(void) const

{
    return "TRingTopology";
}

// =================================================================================== 

TTopologyType
TRingTopology::GetType(void) const

{
    return RingTopology;
}

// =================================================================================== 
#undef ParentClass
