/*      file     : TrafficData/TAsciiObjectTimeStatReader.h
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: TAsciiObjectTimeStatReader.h,v 1.2 2005/03/25 11:06:49 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TASCIIOBJECTTIMESTATREADER_H
#define TASCIIOBJECTTIMESTATREADER_H

// ***INCLUDES************************************************************************ 

#include <TAsciiDataTypeReader.h>

// ***CLASSES************************************************************************* 

class TAsciiObjectTimeStatReader : public TAsciiDataTypeReader

{
public:
    
    TAsciiObjectTimeStatReader(TClassInfo *theClassInfo, const char *BaseFilename);

private:

    virtual void *
    CreateObject(const char *) const;
    
    virtual void 
    DisposeObject(void *Object);

    TClassInfo *ClassInfo;
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:

#endif
